package com.uas.b2c.pay.api;

import com.uas.b2c.pay.assistant.ResultMap;
import com.uas.b2c.pay.service.EBankService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * 网上银行控制器
 *
 * @author yuj 2017-12-29 0:28
 */
@RestController
@RequestMapping(value = "/eBank")
public class EBankController {

    private final EBankService eBankService;

    @Autowired
    public EBankController(EBankService eBankService) {
        this.eBankService = eBankService;
    }

    /**
     * 网关支付的解耦
     *
     * @param map 传入的支付接口数据
     *            用户的信息
     *            总金额 amout
     *            订单款项描述 objectName
     *            支付方式，01：B2B网关，02：B2C网关 payType
     *            发卡机构代码 issInsCode
     *            支付卡类型， payCardType 01：借记卡，02：信用卡  00:混合(b2b都送00)
     * @return String
     */
    @PostMapping(value = "/pay")
    public ResultMap eBankPay(@RequestBody HashMap<String, String> map) {
        return eBankService.eBankPay(map);
    }
}
