package com.uas.b2c.pay.api;

import com.uas.b2c.pay.service.AccountBindCardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * 会员绑定银行卡的账号的接口
 *
 * @author yuj 2018-01-02 23:18
 */
@RestController
@RequestMapping(value = "/pingAn/accountBC")
public class PingAnAccountBindCardController {

    private final AccountBindCardService accountBindCardService;

    @Autowired
    public PingAnAccountBindCardController(AccountBindCardService accountBindCardService) {
        this.accountBindCardService = accountBindCardService;
    }

    /**88888888888888888888888
     * 会员绑定提现账户-银联鉴权【6066】
     *
     * @param map
     * @return
     */
    @PostMapping(value = "/uninonPay")
    public String unionPayBindCard(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.unionPaybindBankCard(map);
        return result;
    }

    /**8888888888888888888888888
     * 会员绑定提现账户-回填银联鉴权短信码【6067】
     *
     * @param map
     * @return
     */
    @PostMapping(value = "/uninonPay/verification")
    public String unionPaySmsVerificationBindBankCard(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.smsVerificationBindBankCard(map);
        return result;
    }

    /**88888888888888888888888888888
     * 会员绑定提现账户-小额鉴权【6055】
     *
     * @param map 传入的数据
     * @return String
     */
    @PostMapping(value = "/money")
    public String moneyBindBankCard(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.moneyBindBankCard(map);
        return result;
    }






    /**8888888888888888888888888888888888888
     * 验证鉴权金额【6064】
     *
     * @param map 传入的数据
     * @return String
     */
    @PostMapping(value = "/money/verification")
    public String moneyVerificationBindBankCard(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.moneyVerificationBindBankCard(map);
        return result;
    }

    /**8888888888888888888888888888888888
     * 会员绑定信息查询【6098】
     *
     * @param map 传入的参数
     * @return
     */
    @PostMapping(value = "/query")
    public String queryBindInfo(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.queryBindInfo(map);
        return result;
    }

    /**8888888888888888888888888888888888888
     * 会员解绑提现账户【6065】
     *
     * @param map 查询的信息
     * @return String
     */
    @PostMapping(value = "/unbundling/card")
    public String unbundlingCard(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.unbundlingCard(map);
        return result;
    }

    /**4444444444444444444444444
     * 维护会员绑定提现账户联行号【6138】(修改会员绑定提现账户的大小额行号，超网行号和银行名称）
     *
     * @param map 传入的信息
     * @return String
     */
    @PostMapping(value = "/modify/bank")
    public String modifyBindCardInfo(@RequestBody  HashMap<String, String> map) {
        String result = accountBindCardService.modifyBindCardInfo(map);
        return result;
    }

    /**8888888888888888888888888
     *申请修改手机号码【6083】
     *
     * @param map 传入的数据
     * @return String
     */
    @PostMapping(value = "/modify/telephone")
    public String modifyBindCardTelephone(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.modifyBindCardTelephone(map);
        return result;
    }

    /**444444444444444444444444444444444444
     *回填动态码-修改手机【6084】
     *
     * @param map
     * @return
     */
    @PostMapping(value = "/modfiy/telephone/verification")
    public String modifyBindCardTelephoneVerification(@RequestBody HashMap<String, String> map) {
        String result = accountBindCardService.modifyBindCardTelephoneVerification(map);
        return result;
    }

    /**测试成功
     * 查询小额鉴权转账的结果
     *
     * @param map 查询的信息
     * @return
     */
    @PostMapping(value = "/query/moneyBCR")
    public String queryMoneyBindCardResult(HashMap<String, String> map) {
        String result = accountBindCardService.queryMoneyBindCardResult(map);
        return result;
    }





}
