package com.uas.b2c.pay.api;

import com.uas.b2c.pay.assistant.ResultMap;
import com.uas.b2c.pay.service.WeChatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;

/**
 * 微信的控制器
 *
 * @author yuj 2017-12-28 0:07
 */
@RestController
@RequestMapping("/weChat")
public class WeChatController {

    private final WeChatService weChatService;

    @Autowired
    public WeChatController(WeChatService weChatService) {
        this.weChatService = weChatService;
    }

    /**
     * 微信预支付接口
     *
     * @param map 传入的数据
     *        amount 总金额 不能为空
     *        objectName 订单金额 可以为空
     * @return String 结果
     */
    @PostMapping(value = "/pay/pre")
    public String prePayment(@RequestBody HashMap<String, String> map) {
        return weChatService.prePayment(map);
    }

    /**
     * 微信的支付接口
     *
     * @param map 传入的数据
     * @return String
     */
    @PostMapping(value = "/pay")
    public ResultMap payment(@RequestBody HashMap<String, String> map) {
        return weChatService.payment(map);
    }
}
