package com.uas.b2c.pay.constant;

/**
 *  跨行支付的字段
 *
 * @author yuj 2017-12-21 12:59
 */
public class KHField {

    /**
     * 商户订单数据组成的原始数据字符串
     */
    public static final String ORIG = "orig";

    /**
     * 原始数据字符串的签名
     */
    public static final String SIGN = "sign";

    /**
     * 前台地址
     */
    public static final String RETURNURL = "returnurl";

    /**
     * 后台地址
     */
    public static final String NOTIFYURL = "NOTIFYURL";

    /**
     * 提交动作链接
     */
    public static final String ACTIONURL = "actionUrl";

    /**
     * 商户的id
     */
    public static final String MASTERID = "masterId";

    /**
     * 订单号，严格遵守格式：商户号+8位日期YYYYMMDD+8位流水。每一次必须上送不一样的
     */
    public static final String ORDERID = "orderId";

    /**
     * 客户号，商户自己客户体系唯一标识
     */
    public static final String CUSTOMERID = "customerId";

    /**
     * 绑卡时间
     */
    public static final String DATETIME = "dateTime";

    /**
     * KeyedCollection 的input标签
     */
    public static final String INPUT = "input";

    /**
     * KeyedCollection 的signDataput标签
     */
    public static final String SIGNDATAPUT = "signDataput";

    /**
     * 币别信息
     */
    public static final String CURRENCY = "currency";

    /**
     * 支付的总金额
     */
    public static final String AMOUNT = "amount";


    /**
     * 订单款项描述
     */
    public static final String OBJECTNAME = "objectName";

    /**
     * 下单时间
     */
    public static final String PAYDATE = "paydate";

    /**
     * 订单有效期(毫秒)
     */
    public static final String VALIDTIME = "validtime";

    /**
     * 同customerId要相匹配
     */
    public static final String OPENID = "OpenId";

    /**
     * 03：银联快捷
     */
    public static final String PAYTYPE = "payType";

    /**
     * 短信验证码
     */
    public static final String VERIFYCODE = "verifyCode";

    /**
     * 发卡机构代码
     */
    public static final String ISSINSCODE = "issInsCode";

    /**
     * 支付卡类型 类型  01：借记卡，02：贷记卡
     */
    public static final String PAYCARDTYPE = "payCardType";

    /**
     * 备注信息
     */
    public static final String REMARK = "remark";

    /**
     * 页面标记
     */
    public static final String PAGE_FLAG = "pageFlag";


    /**
     * 备注类型
     */
    public static final String REMARKTYPE = "remarktype";

    /**
     * 平台代码
     */
    public static final String PLANTCODE = "plantCode";

    /**
     * 订单的类型
     */
    public static final String ODERLIST = "oderlist";

    /**
     * 支付类型
     */
    public static final String SFJORDERTYPE = "SFJOrdertype";

    /**
     * 入账会员子账户
     */
    public static final String SUBACCNO = "SubAccNo";

    /**
     * 支付的模式
     */
    public static final String PAYMODEL = "PayModel";

    /**
     * 手续费
     */
    public static final String TRANFEE = "TranFee";
}
