package com.uas.b2c.pay.constant;

/**
 * String 字面常量
 * @author yuj 2017-12-19 18:18
 */
public class StringConstant {

    /**
     * 空的字符串
     */
    public static final String EMPTY_STR = "";

    /**
     * 最小的正整数
     */
    public static final String MIN_POSITIVE_INTEGER = "1";

    /**
     * 年月日
     */
    public static final String YMD = "yyyyMMdd";

    /**
     * 年月日时分秒
     */
    public static final String YMDHMS = "yyyyMMddHHmmss";

    /**
     * 人民币
     */
    public static final String RMB_CURRENCY = "RMB";

    /**
     * 数字0 的字符串
     */
    public static final String ZERO_STRING = "0";

    /**
     * 页面标记
     */
    public static final String DEFAULT_PAGE_FLAG = "Y";

    /**
     * 本行
     */
    public static final String BankType_SELF = "1";

    /**
     * 他行
     */
    public static final String BankType_other = "2";

    /**
     * 1：全部会员
     */
    public static final String SELECTFLAG_ALL = "1";

    /**
     * 2：单个会员
     */
    public static final String SELECTFLAG_SINGLE = "2";

    /**
     * 短信鉴权
     */
    public static final String SMS_VALIDATE = "1";

    /**
     * 银联鉴权
     */
    public static final String UNIONPAY_AUTHENTICATION = "2";

    /**
     * 交易-申请提现
     */
    public static final String TRANSACTION_WITHDRAW = "1";

    /**
     * 交易-申请支付
     */
    public static final String TRANSACTION_PAY = "2";

    /**
     * 下单预支付 （付款方→担保）
     */
    public static final String PRE_PAYMENT = "1";

    /**
     * 确认并付款（担保→收款方）
     */
    public static final String CONFIRM_PAY = "2";

    /**
     * 3：退款（担保→付款方）
     */
    public static final String REFUND_PAY = "3";

    /**
     * 6：直接支付（会员A→会员B）
     */
    public static final String DIRECT_PAY = "6";

    /**
     * 01：普通交易
     */
    public static final String NORMAL_TRANSITION = "01";

    /**
     * 清分撤销（对应撤销6056接口）
     */
    public static final String CALLOFF_CLEARING = "1";

    /**
     * 2：清分冻结撤销（对应撤销6135接口
     */
    public static final String CALLOFF_FROZEN = "2";

    /**
     * 3清分+冻结
     */
    public static final String CALLOFF_BOTH = "3";

    /**
     * 查询所有交易网的在途清算结果。
     */
    public static final String QUERY_SETTLEACCOUNT_RESULT_ALL = "1";

    /**
     * 查询指定时间段交易网的在途清算结果。
     */
    public static final String QUERY_SETTLEACCOUNT_RESULT_SPECIFIED_TIME = "2";


    /**
     * 普通会员子账号
     */
    public static final String QUERY_ACCOUNT_REMAINDER_NORMAL = "2";

    /**
     * 功能子账号
     */
    public static final String QUERY_ACCOUNT_REMAINDER_FEATURE = "3";

    /**
     * 会员间交易
     */
    public static final String MEMBER_TRADE = "2";

    /**
     * 提现
     */
    public static final String WITH_DRAW = "3";

    /**
     * 充值
     */
    public static final String RECHARGE = "4";

    /**
     * 当下
     */
    public static final String TODAY = "1";

    /**
     * 历史
     */
    public static final String HISTORY = "2";

    /**
     * 转入
     */
    public static final String TRANSFER_IN = "3";

    /**
     * 转出
     */
    public static final String TRANSFER_OUT = "2";

    /**
     * 全部
     */
    public static final String TRANSFER_ALL = "1";

    /**
     * 清分
     */
    public static final String DISTRIBUTION = "3";

    /**
     * 提现
     */
    public static final String ACCOUNT_WITH_DRAW = "2";

    /**
     * 充值文件
     */
    public static final String RECHARGE_FILETYPE = "CZ";

    /**
     * 提现文件
     */
    public static final String WITHDRAW_FILETYPE = "TX";

    /**
     * 交易文件
     */
    public static final String TRADE_FILETYPE = "JX";

    /**
     * 余额文件
     */
    public static final String REMAINDER_FILETYPE = "YE";


    /**
     * 01-橙E收款
     */
    public static final String CHENGE_GATHERING = "01";

    /**
     * 02-跨行快收（非T0）
     */
    public static final String CROSS_BANK_RECEIVABLES_DELAY = "02";

    /**
     * 03-跨行快收（T0）
     */
    public static final String CROSS_BANK_RECEIVABLES__REAL_TIME = "03";


    /**
     * 评论的类型
     */
    public static final String REMARKTYPE = "SDS0100000";


    /**
     * 企业默认的useruu
     */
    public static final String DEFAULTUSERUU = "0000000";
}
