package com.uas.b2c.pay.constant;

/**
 * 平安支付的功能编码
 * @author yuj 2017-11-09 17:28
 */
public class TranFunc {

    /**
     * 开通钱包功能
     */
    public static final String OPEN_SUB_ACCOUNT = "6000";

    /**
     * 绑定提现账户-银联鉴权
     */
    public static final String BIND_CARD_UNIONPAY = "6066";

    /**
     * 会员绑定提现账户-银联鉴权
     */
    public static final String BIND_CARD_UNIONPAY_SMS_VERIFICATION = "6067";

    /**
     * 绑定提现账户 - 小额鉴权
     */
    public static final String BIND_CARD_MONEY = "6055";

    /**
     * 绑定提现账户 - 小额鉴权验证
     */
    public static final String BIND_CARD_MONEY_VERIFICATION = "6064";

    /**
     * 会员间交易
     */
    public static final String MEMBER_TRADE = "6101";

    /**
     * 短信验证码接口
     */
    public static final String MESSAGE_VERIFICATION = "6082";

    /**
     * 会员充值
     */
    public static final String RECHARGE_ACCOUNT = "6056";

    /**
     * 查询资金汇总账户金额
     */
    public static final String INQUIRY_BASE_ACCOUNT = "6011";

    /**
     * 查询子账户的功能
     */
    public static final String INQUIRY_SUB_ACCOUNT = "6010";

    /**
     * 会员绑定信息查询
     */
    public static final String BIND_CARD_QUERY = "6098";

    /**
     * 会员解绑提现账户
     */
    public static final String UNBUNDLING_BIND_CARD = "6065";

    /**
     * 修改会员绑定提现账户联行号
     */
    public static final String MODIFY_BIND_CARD_INFO = "6138";

    /**
     * 修改会员绑定的手机号
     */
    public static final String MODIFY_BIND_CARD_TELEPHONE = "6083";


    /**
     * 修改会员绑定的手机号 - 验证手机短信
     */
    public static final String MODIFY_BIND_CARD_TELEPHONE_VERIFICATION = "6084";

    /**
     * 申请提现
     */
    public static final String WITHDRAWCASH = "6085";

    /**
     * 申请提现/支付能
     */
    public static final String EXPENDITURE_APPLY = "6082";


    /**
     * 交易撤销
     */
    public static final String TRADE_CALL_OFF = "6077";

    /**
     * 查询小额鉴权转账的结果
     */
    public static final String QUERY_MONEY_BINDCARD_RESULT = "6061";

    /**
     * 查询银行在途清算结果
     */
    public static final String QUERY_SETTLEACCOUNTS = "6108";

    /**
     * 查询子账户余额
     */
    public static final String QUERY_SUBACCOUNT_REMAINDER = "6010";


    /**
     * 查询子帐号历史余额及待转可提现状态信息【6114】
     */
    public static final String QUERY_SUBACCOUNTHISTORY_REMAINDERAND_CANWITHDRAWINFO = "6114";


    /**
     * 查询银行单笔交易状态(6094优化版)【6110】
     */
    public  static final String ORDER_TRADE_STATUS = "6110";

    /**
     * 查询银行提现退单信息【6048】
     */
    public static final String QUERY_WITHDRAW_CHARGEBACK = "6048";


    /**
     * 查询普通转账的充值明细【6050】
     */
    public static final String QUERY_TRANSFERACCOUNTS_DETAIL = "6050";

    /**
     * 查询子账户交易的信息 6072
     */
    public static final String QUERY_ACCOUNTTRADEINFO = "6072";

    /**
     * 查询银行时间段内清分提现明细 [6073]
     */
    public static final String QUERY_DISTRIBUTION_AND_WITHDRAWDETAIL = "6073";

    /**
     * 根据会员代码查询会员子账号【6092】
     */
    public static final String QUERY_ACCOUNT_INFO = "6092";

    /**
     * 查询对账文件
     */
    public static final String QUERY_ACCOUNTSTATEMENT = "6103";


    /**
     * 挂账子账户中余额转到对应的子账户
     */
    public static final String DISTRIBUTION_SPECIAL_ACCOUNT = "6008";


    /**
     * 平台补账(见证+收单)【6147】
     */
    public static final String MAKE_UP_ACCOUNT = "6147";


    /**
     * 调账(见证+收单)【6145】
     */
    public static final String ADJUST_ACCOUNT = "6145";


    /**
     * 查询充值明细（见证+收单）【6146】
     */
    public static final String RECHARGE_DETAIL = "6146";
}
