package com.uas.b2c.pay.domain;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 记录传输的数据信息
 *
 * @author pengzh 2017-1-8 17:04
 */
@Entity
@Table(name = "log$pingan_pay")
public class PinganPayLog implements Serializable {

    private static final long serialVersionUID = -7073424520434474035L;

    @Id
    @Column(name = "pingan_logid")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 平安接口代号:具体代号对应平安接口文档;
     */
    @Column(name = "pingan_tranfunc")
    private String tranFunc;

    /**
     * 服务类型:1,请求;2,响应;
     */
    @Column(name = "pingan_servtype")
    private Integer servType;

    /**
     * 请求流水号
     */
    @Column(name = "pingan_thirdlogno")
    private String requestNo;

    /**
     * 用户请求数据
     */
    @Column(name = "user_requestdata", columnDefinition = "TEXT")
    private String userRequestData;

    /**
     * 平安请求数据
     */
    @Column(name = "pingan_requestdata", columnDefinition = "TEXT")
    private String pinganRequestData;
    /**
     * 响应码
     */
    @Column(name = "pingan_repcode")
    private String repCode;

    public String getRepdata() {
        return repdata;
    }

    public void setRepdata(String repdata) {
        this.repdata = repdata;
    }

    /**
     * 响应数据
     */
    @Column(name = "pingan_repdata", columnDefinition = "TEXT")
    private String repdata;

    /**
     * 会员id
     */
    @Column(name = "thirdcust_id")
    private String memberId;

    /**
     * 创建时间
     */
    @Column(name = "creata_date")
    private Date createDate;

    /**
     * 更新时间
     */
    @Column(name = "update_date")
    private String updateDate;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTranFunc() {
        return tranFunc;
    }

    public void setTranFunc(String tranFunc) {
        this.tranFunc = tranFunc;
    }

    public Integer getServType() {
        return servType;
    }

    public void setServType(Integer servType) {
        this.servType = servType;
    }

    public String getRequestNo() {
        return requestNo;
    }

    public void setRequestNo(String requestNo) {
        this.requestNo = requestNo;
    }


    public String getUserRequestData() {
        return userRequestData;
    }

    public void setUserRequestData(String userRequestData) {
        this.userRequestData = userRequestData;
    }

    public String getPinganRequestData() {
        return pinganRequestData;
    }

    public void setPinganRequestData(String pinganRequestData) {
        this.pinganRequestData = pinganRequestData;
    }

    public String getRepCode() {
        return repCode;
    }

    public void setRepCode(String repCode) {
        this.repCode = repCode;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }
}
