package com.uas.b2c.pay.domain;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 大小额联行号的实体
 * @author yuj 2017-11-15 14:17
 */
@Entity
@Table(name = "bank$sizelinenumber")
public class SizeLineNumber implements Serializable {

    private static final long serialVersionUID = 1l;

    /**
     * 主键信息
     */
    @Id
    @Column(name = "bsln_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 支付行号
     */
    @Column(name = "bsln_bankno", length = 14)
    private String bankno;

    /**
     * 行号状态
     */
    @Column(name = "bsln_status", length = 1)
    private String status;

    /**
     * 行别代码
     */
    @Column(name = "bsln_bankclscode", length = 3)
    private String bankclscode;

    /**
     * 城市代码
     */
    @Column(name = "bsln_citycode", length = 6)
    private String citycode;

    /**
     * 行名全称
     */
    @Column(name = "bsln_bankname", length = 120)
    private String bankname;

    public Long getId() {
        return id;
    }

    public SizeLineNumber setId(Long id) {
        this.id = id;
        return this;
    }

    public String getBankno() {
        return bankno;
    }

    public SizeLineNumber setBankno(String bankno) {
        this.bankno = bankno;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public SizeLineNumber setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getBankclscode() {
        return bankclscode;
    }

    public SizeLineNumber setBankclscode(String bankclscode) {
        this.bankclscode = bankclscode;
        return this;
    }

    public String getCitycode() {
        return citycode;
    }

    public SizeLineNumber setCitycode(String citycode) {
        this.citycode = citycode;
        return this;
    }

    public String getBankname() {
        return bankname;
    }

    public SizeLineNumber setBankname(String bankname) {
        this.bankname = bankname;
        return this;
    }
}
