package com.uas.b2c.pay.domain;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 记录传输的数据信息
 *
 * @author yuj 2017-12-26 17:04
 */
@Entity
@Table(name = "bank$transportmessage")
public class TransportMessage implements Serializable {

    private static final long serialVersionUID = -7073424520434474035L;

    /**
     * 实体的对象
     */
    @Id
    @Column(name = "transport_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 从B2C接受到的数据
     */
    @Column(name = "transport_import_message", columnDefinition = "TEXT")
    public String importMessage;

    /**
     * 上传的信息
     */
    @Column(name = "transport_upload_message", columnDefinition = "TEXT")
    public String upMessage;

    /**
     * 返回的数据
     */
    @Column(name = "transport_down_message", columnDefinition = "TEXT")
    public String downMessage;

    /**
     * 传输的时间
     */
    @Column(name = "transport_time")
    public Date operateTime;

    public String getImportMessage() {
        return importMessage;
    }

    public TransportMessage setImportMessage(String importMessage) {
        this.importMessage = importMessage;
        return this;
    }

    public String getUpMessage() {
        return upMessage;
    }

    public TransportMessage setUpMessage(String upMessage) {
        this.upMessage = upMessage;
        return this;
    }

    public String getDownMessage() {
        return downMessage;
    }

    public TransportMessage setDownMessage(String downMessage) {
        this.downMessage = downMessage;
        return this;
    }

    public Date getOperateTime() {
        return operateTime;
    }

    public TransportMessage setOperateTime(Date operateTime) {
        this.operateTime = operateTime;
        return this;
    }

    @Override
    public String toString() {
        return "TransportMessage{" +
                "importMessage='" + importMessage + '\'' +
                ", upMessage='" + upMessage + '\'' +
                ", downMessage='" + downMessage + '\'' +
                ", operateTime=" + operateTime +
                '}';
    }
}
