package com.uas.b2c.pay.properties;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 系统的配置参数
 *
 * @author yuj 2017-11-09 15:11
 */
@Component
public class SysConf {

    /**
     * 企业代码
     */
    @Value("${pa.businesscode}")
    private String businessCode;

    /**
     * 资金汇总账户
     */
    @Value("${pa.fundsumaccount}")
    private String fundSummaryAccount;

    /**
     * B2Bi客户端的地址信息
     */
    @Value("${pa.b2bi}")
    private String b2biUrl;

    /**
     * 端口信息
     */
    @Value("${pa.serverPort}")
    private Integer serverPort;

    /**
     * 管理员的uu
     */
    @Value("${adminUU}")
    private Long adminuu;

    /**
     * 平安跨行支付商户号
     */
    @Value("${pa.masterId}")
    private String masterId;

    /**
     * 平安跨行绑卡地址
     */
    @Value("${pa.unionPayBindCard}")
    private String bindCardUrl;

    /**
     * 绑卡前台通知地址
     */
    @Value("${pa.unionPayBindCardReturnUrl}")
    private String bindCardReturnUrl;

    /**
     * 绑卡前台通知地址
     */
    @Value("${pa.unionPayBindCardNotifyUrl}")
    private String bindCardNotifyUrl;

    /**
     * 查询绑卡信息的接口
     */
    @Value("${pa.unionPayBindCardQueryCardUrl}")
    private String bindCardQueryCardUrl;

    /**
     * 跨行快捷支付的短信接口
     */
    @Value("${pa.unionPaySMSUrl}")
    private String khPaySMSUrl;

    /**
     * 跨行支付的支付接口
     */
    @Value("${pa.payUrl}")
    private String payUrl;

    /**
     * 跨行支付的后台通知接口
     */
    @Value("${pa.unionPayNotifyUrl}")
    private String hkPayNotifyUrl;

    /**
     * 微信支付的接口
     */
    @Value("${pa.WeChatNotifyUrl}")
    private String weChatNotifyUrl;

    /**
     * 网关的后台通知接口
     */
    @Value("${pa.eBankNotifyUrl}")
    private String eBankNotifyUrl;

    /**
     * 网关的前台返回地址
     */
    @Value("${pa.eBankReturnUrl}")
    private String eBankReturnUrl;

    public String getBusinessCode() {
        return businessCode;
    }

    public SysConf setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
        return this;
    }

    public String getFundSummaryAccount() {
        return fundSummaryAccount;
    }

    public SysConf setFundSummaryAccount(String fundSummaryAccount) {
        this.fundSummaryAccount = fundSummaryAccount;
        return this;
    }

    public String getB2biUrl() {
        return b2biUrl;
    }

    public SysConf setB2biUrl(String b2biUrl) {
        this.b2biUrl = b2biUrl;
        return this;
    }

    public Integer getServerPort() {
        return serverPort;
    }

    public SysConf setServerPort(Integer serverPort) {
        this.serverPort = serverPort;
        return this;
    }

    public Long getAdminuu() {
        return adminuu;
    }

    public SysConf setAdminuu(Long adminuu) {
        this.adminuu = adminuu;
        return this;
    }

    public String getMasterId() {
        return masterId;
    }

    public SysConf setMasterId(String masterId) {
        this.masterId = masterId;
        return this;
    }

    public String getBindCardUrl() {
        return bindCardUrl;
    }

    public SysConf setBindCardUrl(String bindCardUrl) {
        this.bindCardUrl = bindCardUrl;
        return this;
    }

    public String getBindCardReturnUrl() {
        return bindCardReturnUrl;
    }

    public SysConf setBindCardReturnUrl(String bindCardReturnUrl) {
        this.bindCardReturnUrl = bindCardReturnUrl;
        return this;
    }

    public String getBindCardNotifyUrl() {
        return bindCardNotifyUrl;
    }

    public SysConf setBindCardNotifyUrl(String bindCardNotifyUrl) {
        this.bindCardNotifyUrl = bindCardNotifyUrl;
        return this;
    }

    public String getBindCardQueryCardUrl() {
        return bindCardQueryCardUrl;
    }

    public SysConf setBindCardQueryCardUrl(String bindCardQueryCardUrl) {
        this.bindCardQueryCardUrl = bindCardQueryCardUrl;
        return this;
    }

    public String getKhPaySMSUrl() {
        return khPaySMSUrl;
    }

    public SysConf setKhPaySMSUrl(String khPaySMSUrl) {
        this.khPaySMSUrl = khPaySMSUrl;
        return this;
    }

    public String getPayUrl() {
        return payUrl;
    }

    public SysConf setPayUrl(String payUrl) {
        this.payUrl = payUrl;
        return this;
    }

    public String getHkPayNotifyUrl() {
        return hkPayNotifyUrl;
    }

    public SysConf setHkPayNotifyUrl(String hkPayNotifyUrl) {
        this.hkPayNotifyUrl = hkPayNotifyUrl;
        return this;
    }

    public String getWeChatNotifyUrl() {
        return weChatNotifyUrl;
    }

    public SysConf setWeChatNotifyUrl(String weChatNotifyUrl) {
        this.weChatNotifyUrl = weChatNotifyUrl;
        return this;
    }

    public String geteBankNotifyUrl() {
        return eBankNotifyUrl;
    }

    public SysConf seteBankNotifyUrl(String eBankNotifyUrl) {
        this.eBankNotifyUrl = eBankNotifyUrl;
        return this;
    }

    public String geteBankReturnUrl() {
        return eBankReturnUrl;
    }

    public SysConf seteBankReturnUrl(String eBankReturnUrl) {
        this.eBankReturnUrl = eBankReturnUrl;
        return this;
    }
}
