package com.uas.b2c.pay.service;

import java.util.HashMap;

/**
 * 账户绑定银行卡的接口
 *
 * Created by yujia on 2018/1/2.
 */
public interface AccountBindCardService {


    /**
     * 绑定提现账户 - 银联鉴权
     *
     * @param map 绑卡信息
     * @return String
     */
    String unionPaybindBankCard(HashMap map);


    /**
     * 绑定提现账户 - 用于会员填写动态验证码后，发往银行进行验证，验证成功则完成绑定。
     *
     * @param map
     * @return String
     */
    String smsVerificationBindBankCard(HashMap<String, String> map);


    /**
     * 绑定提现账户 - 小额鉴权
     *
     * @param map 传入的数据
     * @return
     */
    String moneyBindBankCard(HashMap<String, String> map);

    /**
     * 绑定提现账户 - 小额鉴权验证过程
     *
     * @param map
     * @return
     */
    String moneyVerificationBindBankCard(HashMap<String, String> map);


    /**
     * 查询会员绑定的信息
     *
     * @param map 传入的参数
     * @return
     */
    String queryBindInfo(HashMap<String, String> map);

    /**
     * 解绑会员绑定的提现账户
     *
     * @param map
     * @return
     */
    String unbundlingCard(HashMap<String, String> map);


    /**
     * 修改会员绑定的信息
     *
     * @param map 传入的信息
     * @return String
     */
    String modifyBindCardInfo(HashMap<String, String> map);


    /**
     *
     * 修改会员绑定的银行的手机号
     *
     * @param map 传入的数据
     * @return String
     */
    String modifyBindCardTelephone(HashMap<String, String> map);

    /**
     * 修改绑定的手机号 验证动态密码
     *
     * @param map
     * @return
     */
    String modifyBindCardTelephoneVerification(HashMap<String, String> map);


    /**
     * 查询小额鉴权转账的结果
     *
     * @param map 查询的信息
     * @return
     */
    String queryMoneyBindCardResult(HashMap<String, String> map);
}
