package com.uas.b2c.pay.service;

import com.uas.b2c.pay.assistant.ResultMap;

import java.util.HashMap;

/**
 * 会员间交易的方法
 * @author yuj 2017-11-16 21:21
 */
public interface AssociatorTradeService {

    /**
     * 买卖家支付方法
     * @param map
     * @return
     */
    ResultMap payOrRefund(HashMap map);

    /**
     *
     * @param map
     * @return
     */
    ResultMap getSMSVerification(HashMap map);

    /**
     * 会员充值
     *
     * @param map 传入的数据
     * @return String
     */
    String rechargeMember(HashMap<String, String> map);


    /**
     * 申请提现
     *
     * @param map 传入的数据
     * @return String
     */
    String withdrawCashVerification(HashMap<String, String> map);


    /**
     * 申请提现
     *
     * @param map 申请提现的接口
     * @return
     */
    String expenditureApply(HashMap<String, String> map);


    /**
     * 交易取消
     *
     * @param map 传入的数据
     * @return String
     */
    String tradeCallOff(HashMap<String, String> map);


    /**
     * 查询清算的结果
     *
     * @param map 传入的数据
     * @return
     */
    String querySettleAccounts(HashMap<String, String> map);


    /**
     * 查询单笔订单交易的状态
     *
     * @param map 传入的时间
     * @return String
     */
    String orderTradeStatus(HashMap<String, String> map);


    /**
     * 查询提现退单
     * @param map 传入的数据
     * @return
     */
    String queryWithdrawChargeBack(HashMap<String, String> map);


    /**
     * 查询普通转账充值的明细
     *
     * @param map 传入的数据
     * @return String
     */
    String queryTransferAccountsDetail(HashMap<String, String> map);


    /**
     * 查询子账户交易的记录
     *
     * @param map 输入的信息
     * @return String
     */
    String queryAccountTradeInfo(HashMap<String, String> map);

    /**
     * （挂账子账户中余额转到对应的子账户）
     *
     * @param map
     * @return
     */
    String distributionSpecialAccount (HashMap<String, String> map);


    /**
     * 查询充值明细（见证+收单）【6146】
     *
     * @param map 传入订单号
     * @return String
     */
    String queryRechargeDetail(HashMap<String, String> map);


    /**
     * 调账(见证+收单)【6145】
     *
     * @param map
     * @return
     */
    String adjustAccount(HashMap<String, String> map);


    /**
     * 平台补账
     *
     * @param map
     * @return
     */
    String makeUpAccount(HashMap<String, String> map);
}
