package com.uas.b2c.pay.service;

import com.uas.b2c.pay.assistant.ResultMap;

import java.util.HashMap;
import java.util.Map;

/**
 * 银联快捷支付的服务层
 *
 * Created by yujia on 2017/12/21.
 */
public interface KHUnionPayQuikService {

    /**
     *  根据用户的信息，组装签名等信息
     *
     * @param map 用户的一些信息
     * @return String 请求的界面
     */
    ResultMap kHBindCard(HashMap<String, String> map);

    /**
     * 初始化跨行绑卡的map
     *
     * @param customerId 客户的id
     * @return Map<String, String>
     */
    Map<String, String> initKHBindCardMap(String customerId);


    /**
     * 根据用户信息查询绑卡信息
     *
     * @param map 用户的信息
     * @return 绑卡信息
     */
    ResultMap queryBindCards(HashMap<String, String> map);

    /**
     * 快捷支付的短信接口
     *
     * @param map 包含的支付信息
     * @return String 返回的信息
     */
    String khPaySMS(HashMap<String, String> map);

    /**
     * 银联的支付动作接口
     *
     * @param map 传入的数据
     * @return 结果json 字符串
     */
    ResultMap khPay(HashMap<String, String> map);
}
