package com.uas.b2c.pay.service.impl;

import com.uas.b2c.pay.domain.TransportMessage;
import com.uas.b2c.pay.repository.TransportMessageRepository;
import com.uas.b2c.pay.service.TransportMessageService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 实现层
 *
 * @author yuj 2017-12-26 17:23
 */
@Service
public class TransportMessageServiceImpl implements TransportMessageService{

    private final TransportMessageRepository transportMessageRepository;

    @Autowired
    public TransportMessageServiceImpl(TransportMessageRepository transportMessageRepository) {
        this.transportMessageRepository = transportMessageRepository;
    }

    /**
     * 保存 TransportMessage
     *
     * @param message 需要保存的信息
     * @return TransportMessage
     */
    @Override
    public TransportMessage save(TransportMessage message) {
        if (message == null) {
            return null;
        } else {
            TransportMessage transportMessage = transportMessageRepository.save(message);
            return transportMessage;
        }
    }

    /**
     * 批量保存信息
     *
     * @param list 需要保存的数据
     * @return List<TransportMessage>
     */
    @Override
    public List<TransportMessage> save(List<TransportMessage> list) {
        if (CollectionUtils.isEmpty(list)) {
            return null;
        } else {
            List<TransportMessage> messageList = transportMessageRepository.save(list);
            return messageList;
        }
    }
}
