package com.uas.b2c.pay.util;

import com.uas.b2c.pay.constant.IntegerConstant;
import com.uas.b2c.pay.constant.PingAnProperties;
import com.uas.b2c.pay.constant.StringConstant;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * 跨行支付的接口
 *
 * @author yuj 2017-12-21 19:44
 */
public class KHUtil {

    /**
     * 统计的偏移量
     */
    public static Integer offset = 0;

    /**
     * 获取商户的流水号
     *
     * @param masterId  商户号
     * @return String
     */
    public synchronized static String getOrderId(String masterId) {
        StringBuilder s = new StringBuilder();

        // 时间
        SimpleDateFormat simple = new SimpleDateFormat(StringConstant.YMD);
        String timeStr = simple.format(new Date());

        // 8位随机
        Calendar c = Calendar.getInstance();
        c.clear();
        c.set(2017, 1, 1);
        // 如果偏移量超过了1000，则重新统计
        if (offset.intValue() > 1000) {
            offset = 0;
        }
        long currentTimeMillis = System.currentTimeMillis() - c.getTimeInMillis() + (offset++) ;
        String serialNum = AssistantUtil.numericToString(currentTimeMillis, PingAnProperties.DECIMAL);
        String paddingStr = AssistantUtil.paddingStr(serialNum, 8);
        String result = s.append(masterId).append(timeStr).append(paddingStr).toString();
        System.out.println(result);
        return result;
    }


    /**
     * 格式化金额，12整数，2小数，超过两位进一
     *
     * @param money 金额
     * @return 格式化之后的结果
     */
    public static String formaterMoney(String money) {
        Double result = NumberUtil.fractionNumHalfUp(money, IntegerConstant.FRACTION);
        return String.valueOf(result);
    }

}
