package com.uas.b2c.pay.util;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * 数字的处理
 *
 * @author yuj 2017-12-23 17:15
 */
public class NumberUtil {

    /**
     * 传入double数据，根据需要保留的位数，采用进一法则。
     */
    public static Double fractionNumHalfUp(String value, Integer fraction) {
        if (value == null) {
           throw new IllegalArgumentException("传入的信息为空");
        }

        if (fraction == null || fraction < 0) {
            // 默认保留两位
            fraction = 2;
        }

        BigDecimal bigDecimal = new BigDecimal(value);
        return bigDecimal.setScale(fraction, RoundingMode.HALF_UP).doubleValue();
    }
}
