package com.uas.b2c.pay.util;

import com.uas.b2c.pay.domain.AssociatorSubAccount;
import com.uas.b2c.pay.service.AssociatorSubAccountService;
import org.apache.commons.collections.MapUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;

/**
 * 获取用户信息的辅助类
 *
 * @author yuj 2017-12-29 0:44
 */
@Component
public class UserInfoUtil {


    @Autowired
    private AssociatorSubAccountService associatorSubAccountService;

    /**
     * 获取子账户信息，根据用户的信息
     * @param map
     * @return
     */
    public AssociatorSubAccount getAssociatorSubAccountByUserInfo(HashMap<String, String> map) {
        if (MapUtils.isEmpty(map)) {
            throw new IllegalArgumentException("传入的用户信息丢失");
        }
        String pingAnThirdId = AssistantUtil.getThirdAssociatorID(map);
        AssociatorSubAccount associatorSubAccount = associatorSubAccountService.findAssociatorSubAccountByPingAnThirdId(pingAnThirdId);
        return associatorSubAccount;
    }
}
